Groovy 1.7.0

## org.codehaus.groovy.runtime
Class IteratorClosureAdapter

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.Closure
              org.codehaus.groovy.runtime.IteratorClosureAdapter

    class IteratorClosureAdapter
    extends Closure

A closure which stores calls in a List so that method calls can be iterated over in a 'yield' style way

author:
  James Strachan

version:
  $Revision: 12708 $

Field Summary

Fields inherited from class Closure
maximumNumberOfParameters, parameterTypes

Constructor Summary
`IteratorClosureAdapter(Object delegate)`

Method Summary
`List` | `asList()`
`protected Object` | `doCall(Object argument)`
`MetaClass` | `getMetaClass()`
`void` | `setMetaClass(MetaClass metaClass)`

Methods inherited from class Closure
asWritable, call, call, call, clone, curry, getDelegate, getDirective, getMaximumNumberOfParameters, getOwner, getParameterTypes, getProperty, getResolveStrategy, getThisObject, isCase, run, setDelegate, setDirective, setProperty, setResolveStrategy, throwRuntimeException

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### IteratorClosureAdapter

    public IteratorClosureAdapter(Object delegate)

Method Detail

### asList

    public List asList()

### doCall

    protected Object doCall(Object argument)

### getMetaClass

    public MetaClass getMetaClass()

### setMetaClass

    public void setMetaClass(MetaClass metaClass)

Copyright © 2003-2009 The Codehaus. All rights reserved.